/**
 *
 * SIROCCO
 * Copyright (C) 2012 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *
 */
package org.ow2.sirocco.cloudmanager.ui.model
{
	import mx.collections.ArrayCollection;
	import mx.collections.ListCollectionView;
	
	import org.ow2.sirocco.cloudmanager.model.cimi.QueryResult;
	import org.ow2.sirocco.cloudmanager.model.cimi.extension.User;

	public class Model
	{
		[Bindable]
		public var connectionState:String="loggedOut";
		
		[Bindable]
		public var loggedInUser:User;
		
		[Bindable]
		public var machineCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var machineConfigCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var machineTemplateCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var machineImageCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var volumeCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var volumeConfigCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var volumeTemplateCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var jobCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var credentialCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var systemCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var systemTemplateCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var cloudProviderCache:QueryResult=new QueryResult();
		
		[Bindable]
		public var cloudProviderAccountCache:QueryResult=new QueryResult();
	}
}